
hr {
  border-radius: 10px;
  width: 50%;
  height: 0.5px;
  background-color: white;
  border: none;
  margin: 15px auto 5px auto;
}
section:not(.home) {
  line-height: 25px;
}
.active-link {
  color: #1cafc5;
  transition: all 0.17s ease-in;
}
/* Logos */
.mini-logos {
  height: 60px;
  width: 60px;
  border-radius: 6px;
}

/* Home */
.home {
  display: flex;
  text-align: center;
}
.home .max-width {
  margin: 55px auto auto auto;
}

.home .home-content img {
  border-radius: 10px;
  height: 350px;
  width: 250px;
  display: block;
  margin-top: 20px;
}
.home .home-content .text-1 {
  font-size: 40px;
  font-weight: 600;
}
.home .home-content .text-2 {
  font-size: 15px;
}

.home .home-content span {
  color: #1cafc5;
  font-size: 15px;
}

/* Projects Styling */

.projects .title::before {
  background: black;
}
.projects .project-content .card {
  width: 280px;
  height: 230px;
  background: #151924;
  text-align: center;
  border-radius: 10px;
  padding: 25px 30px 25px 30px;
  cursor: pointer;
  transition: all 0.3s ease;
  color: white;
}
.projects .project-content .card:hover {
  background-color: #22293b;
}
.projects .project-content .card .box {
  transition: all 0.3s ease;
}
.projects .project-content .card:hover .box {
  transform: scale(1.04);
}
.projects .project-content .card .text {
  font-size: 22px;
  margin: 5px 0 15px 0;
}
.projects .project-content .card p {
  font-size: 15px;
}
.projects .project-content {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: space-evenly;
}

section {
  padding: 40px 0 40px 0;
  margin: 30px 10% 30px 10%;
  color: white;
}

section .title {
  margin-bottom: 100px;
  text-align: center;
  color: white;
}
section .title div {
  font-size: 25px;
}
section .title span {
  font-size: 12px;
}

/* content display */
.about .about-content,
.services .services-content,
.skills .skills-content {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: space-between;
}
/* about */

.about .about-content .left img {
  height: 350px;
  width: 280px;
  border-radius: 10px;
}

.about .about-content .left {
  width: 40%;
  text-align: center;
}

.about .about-content .right {
  width: 40%;
  margin-bottom: auto;
}
.about .about-content .right .text {
  font-size: 20px;
  margin-bottom: 5px;
}
.about .about-content .right div span {
  color: #1cafc5;
}
.about .about-content .right p a {
  color: #1cafc5;
}
.about .about-content .right .hobbie {
  font-size: 15px;
  margin-bottom: 10px;
}
.about .about-content .right p {
  text-align: justify;
}

.about .about-content .right .download img {
  width: 15px;
  height: 15px;
  margin-right: 10px;
}


.about .about-content .right .row{
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: start;
  
}

.about .about-content .right .download {
  border: 1px solid white;
  background: transparent;
  color: white;  
  color: white;
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: start;
  height: 50px;
  width: 150px;
  padding-left: 20px;
  margin-top: 20px;
  border-radius: 10px;
  transition: 0.3s;
  font-size: 14px;
}

.btns-margin{
  width: 25px;
}

.about .about-content .right .download:hover {
  color: white;
  background: black;

}

.about .about-content .column {
  width: 50%;
}

/* Footer */
footer {
  text-align: center;
  padding: 25px 0 25px 0;
  color: white;
  font-size: 12px;
  height: 250px;
  background-color: #0d5661;
}
footer .logo {
  text-align: center;
  font-size: 30px;
  margin-bottom: 50px;
}
footer p span {
  color: #090f1b;
}

/* Services */
.services .services-content .right {
  width: 33%;
  text-align: center;
}
.services .services-content .left {
  width: 30%;
  display: flex;
}
.services .services-content .middle {
  width: 30%;
  display: flex;
  text-align: left;
  flex-direction: column;
  gap: 1.5rem;
  margin-bottom: auto;
}

.services .services-content .middle .mini-boxes {
  background-color: #151924;
  border-radius: 10px;
  height: 105px;
  width: 60%;
  padding: 12px 10px 0px 20px;
  margin: auto;
}

.services .services-content .middle .mini-boxes .topic {
  display: flex;
  gap: 5px;
}
.services .services-content .middle .mini-boxes .topic i {
  color: #1cafc5;
}
.know-more {
  display: flex;
  cursor: pointer;
  margin-top: 8px;
  font-size: 12px;
  gap: 3px;
  transition: all 0.3s ease-in;
  color: white;
}
.know-more:hover {
  gap: 8px;
}
.know-more i {
  margin: auto 0 auto 0px;
  font-size: 12px;
}

.services .services-content .middle .mini-boxes .topic i {
  margin: auto 0 auto 0;
  font-size: 15px;
}
.services .services-content .middle .mini-boxes .text-1 {
  font-size: 15px;
}
.services .services-content .middle .mini-boxes div {
  font-size: 10px;
}
.services .services-content .middle .text {
  font-size: 20px;
  text-align: center;
}

.services .services-content .middle .tutoring .topic i {
  margin: auto 0 auto 0;
  font-size: 15px;
}
.services .services-content .middle .tutoring .text-1 {
  font-size: 15px;
}
.services .services-content .middle .tutoring div {
  font-size: 10px;
}
.services .services-content .middle .tutoring {
  background-color: #151924;
  border-radius: 10px;
  height: 80px;
  width: 60%;
  padding: 12px 10px 0px 20px;
  margin: auto;
}

.services .services-content .middle .tutoring .topic {
  display: flex;
  gap: 5px;
}
.services .services-content .left .level {
  width: 100%;
  background-color: grey;
  height: 7px;
  border-radius: 6px;
  margin-top: 5px;
  position: relative;
}

.services .services-content .left .python::before {
  content: "";
  position: absolute;
  background-color: #1cafc5;
  height: 7px;
  width: 80%;
  left: 0;
  top: 0;
  border-radius: 6px;
}
.services .services-content .left .skill .text {
  font-size: 20px;
  margin-bottom: 10px;
  text-align: center;
}
.services .services-content .left .flutter::before {
  content: "";
  position: absolute;
  background-color: #1cafc5;
  height: 7px;
  width: 100%;
  left: 0;
  top: 0;
  border-radius: 6px;
}
.services .services-content .left .web-dev::before {
  content: "";
  position: absolute;
  background-color: #1cafc5;
  height: 7px;
  width: 60%;
  left: 0;
  top: 0;
  border-radius: 6px;
}
.services .services-content .left .c-lang::before {
  content: "";
  position: absolute;
  background-color: #1cafc5;
  height: 7px;
  width: 60%;
  left: 0;
  top: 0;
  border-radius: 6px;
}

.services .services-content .left .bars img {
  border-radius: 6px;
  height: 32px;
  width: 32px;
  margin: auto 10px auto auto;
}

.services .services-content .left .bars .right .info {
  justify-content: space-between;
  display: flex;
}

.bars {
  display: flex;
  margin-top: 20px;
}
.services .services-content .left .bars .right {
  width: 90%;
}
.skill {
  background-color: #151924;
  padding: 20px;
  border-radius: 10px;
  width: 100%;
}

input {
  width: 80%;
  height: 30px;
  padding: 20px;
  border-radius: 10px;
  border: 1px solid #c0c5d4;
  background-color: transparent;
  color: white;
  outline: none;
  margin-bottom: 15px;
}

.contact form button {
  width: 80%;
  height: 30px;
  border-radius: 10px;
  border: 1px solid black;
  background-color: black;
  color: white;
  transition: all 0.3s ease-in;
  cursor: pointer;
}
.contact form button:hover {
  background-color: #1cafc5;
  color: black;
}
.contact textarea {
  margin-bottom: 10px;
  width: 80%;
  height: 100px;
  border-radius: 10px;
  border: 1px solid #c0c5d4;
  resize: none;
  outline: none;
  background-color: transparent;
  padding: 20px;
  color: white;
}
.contact .text {
  font-size: 20px;
  margin-bottom: 20px;
  text-align: center;
}
.services .services-content .left .text {
  font-size: 20px;
  text-align: left;
}

/* Article */

.articles .articles-content .article img {
  width: 100%;
  border-radius: 10px;
}

.articles .articles-content .article {
  width: calc(33% - 10px);
  text-align: left;
  border-radius: 10px;
  background-color: #151924;
  padding: 30px 40px 40px 40px;
  transition: 0.3s;
  cursor: pointer;
  color: white;
}
.articles .articles-content .article:hover {
  background-color: #22293b;
}
.articles .articles-content .article .box {
  transition: 0.3s;
}
.articles .articles-content .article:hover .box {
  transform: scale(1.04);
}

.articles .articles-content .article .date {
  font-size: 12px;
  color: gray;
  position: absolute;
  transform: translateY(-5px);
}
.articles .articles-content .article .autor {
  font-size: 12px;
  margin-top: 5px;
}
.articles .articles-content .article .name-article {
  font-size: 15px;
  margin-top: 10px;
}
.articles .articles-content {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: space-evenly;
}
/* Responsiveness */

@media (max-width: 1104px) {
  .services .services-content .left .bars img {
    margin: 0 10px auto auto;
  }

  .services .services-content .column {
    width: 50%;
  }
  .services .services-content .left,
  .services .services-content .middle,
  .services .services-content .right {
    margin: 0px auto 30px auto;
    width: 60%;
  }
  .articles .articles-content .article {
    width: calc(50% - 10px);
    margin-top: 40px;
  }

  .articles .articles-content .article .date {
    font-size: 10px;
  }
  .articles .articles-content .article .autor {
    font-size: 10px;
  }
  .articles .articles-content .article .name-article {
    font-size: 15px;
  }
}
@media (max-width: 991px) {
  .projects .project-content .column {
    width: 100%;
    margin: 20px 150px 0 150px;
  }

  .services .services-content {
    gap: 2rem;
  }
}
@media (max-width: 947px) {
  .projects .project-content .column {
    margin: 20px 120px 0 120px;
  }

  .skills .skills-content .column {
    width: 100%;
  }
  .about .about-content .column {
    width: 100%;
  }
  .about .about-content .left {
    display: flex;
    justify-content: center;
    margin: 0 auto 60px;
  }

  .about .about-content .right {
    width: 300px;
    margin: 0 auto 0 auto;
  }
}
@media (max-width: 850px) {
  .projects .project-content .column {
    margin: 20px 90px 0 90px;
  }
}
@media (max-width: 775px) {
  section {
    margin: 30px 0 0 0;
  }
  .projects .project-content .column {
    margin: 20px 50px 0 50px;
  }

  .home .home-content img {
    height: 250px;
    width: 250px;
  }

  .home .home-content .text-1 {
    font-size: 30px;
  }
  .home .home-content .text-2 {
    font-size: 15px;
  }

  .home .home-content span {
    font-size: 15px;
  }

  .articles .articles-content .article {
    display: flex;
    justify-content: center;
    margin: 30px auto 0px auto;
    width: 330px;
  }
  .articles .articles-content .article .date {
    font-size: 12px;
  }
  .articles .articles-content .article .autor {
    font-size: 12px;
  }
  .articles .articles-content .article .name-article {
    font-size: 20px;
  }
}
@media (max-width: 700px) {
  .home .home-content .text-1 {
    font-size: 30px;
  }
  .home .home-content .text-2 {
    font-size: 15px;
  }

  .home .home-content span {
    font-size: 15px;
  }
  .projects .project-content .column {
    margin: 20px 0px 0 0px;
  }
  .articles .articles-content .article {
    width: 75%;
  }
}
@media (max-width: 500px) {
  .articles .articles-content .article {
    width: 90%;
  }
  section {
    margin: 0 15px 0 15px;
  }
  .services .services-content .left,
  .services .services-content .middle,
  .services .services-content .right {
    margin: 0px auto 30px auto;
    width: 90%;
  }
  .about .about-content .left img {
    height: 250px;
    width: 250px;
  }
}
@media (max-width: 420px) {
  .articles .articles-content .article {
    width: 100%;
  }
  .services .services-content .middle .mini-boxes,
  .services .services-content .middle .tutoring {
    width: 80%;
  }
}

@media (max-width: 350px) {
  .home .home-content img {
    height: 200px;
    width: 200px;
  }
}

@media (max-width: 300px) {
  .services .services-content .middle .mini-boxes,
  .services .services-content .middle .tutoring {
    width: 100%;
  }
}
